Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy.builder.primitive
Class PrimitiveAssertion

    java.lang.Object
      org.apache.cxf.ws.policy.builder.primitive.PrimitiveAssertion

All Implemented Interfaces:
  org.apache.neethi.Assertion, org.apache.neethi.PolicyComponent

Direct Known Subclasses:
  JaxbAssertion, NestedPrimitiveAssertion, XmlPrimitiveAssertion

    public class PrimitiveAssertion

extends java.lang.Object
implements org.apache.neethi.Assertion

Field Summary
`protected javax.xml.namespace.QName` | `name`
`protected boolean` | `optional`

Constructor Summary
`PrimitiveAssertion()`
`PrimitiveAssertion(org.w3c.dom.Element element, PolicyConstants constants)`
`PrimitiveAssertion(javax.xml.namespace.QName n)`
`PrimitiveAssertion(javax.xml.namespace.QName n, boolean o)`

Method Summary
`protected org.apache.neethi.Assertion` | `cloneMandatory()`
`boolean` | `equal(org.apache.neethi.PolicyComponent policyComponent)`
`javax.xml.namespace.QName` | `getName()`
`short` | `getType()`
`boolean` | `isOptional()`
`org.apache.neethi.PolicyComponent` | `normalize()`
`void` | `serialize(javax.xml.stream.XMLStreamWriter writer)`
`void` | `setName(javax.xml.namespace.QName n)`
`void` | `setOptional(boolean o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected javax.xml.namespace.QName name

### optional

    protected boolean optional

Constructor Detail

### PrimitiveAssertion

    public PrimitiveAssertion()

### PrimitiveAssertion

    public PrimitiveAssertion(javax.xml.namespace.QName n)

### PrimitiveAssertion

    public PrimitiveAssertion(javax.xml.namespace.QName n,
                              boolean o)

### PrimitiveAssertion

    public PrimitiveAssertion(org.w3c.dom.Element element,
                              PolicyConstants constants)

Method Detail

### equal

    public boolean equal(org.apache.neethi.PolicyComponent policyComponent)

  Specified by:
    `equal` in interface `org.apache.neethi.PolicyComponent`

### getType

    public short getType()

  Specified by:
    `getType` in interface `org.apache.neethi.PolicyComponent`

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `org.apache.neethi.Assertion`

### setName

    public void setName(javax.xml.namespace.QName n)

### isOptional

    public boolean isOptional()

  Specified by:
    `isOptional` in interface `org.apache.neethi.Assertion`

### setOptional

    public void setOptional(boolean o)

### normalize

    public org.apache.neethi.PolicyComponent normalize()

  Specified by:
    `normalize` in interface `org.apache.neethi.Assertion`

### serialize

    public void serialize(javax.xml.stream.XMLStreamWriter writer)
                   throws javax.xml.stream.XMLStreamException

  Specified by:
    `serialize` in interface `org.apache.neethi.Assertion`
  Specified by:
    `serialize` in interface `org.apache.neethi.PolicyComponent`
  Throws:
    `javax.xml.stream.XMLStreamException`

### cloneMandatory

    protected org.apache.neethi.Assertion cloneMandatory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF